Download it now!
Bug 106897 - Format-Character: No preselection for visited, unvisited character style
Summary: Format-Character: No preselection for visited, unvisited character style
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.5.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2017-03-31 10:59 UTC by Samuel Mehrbrodt (CIB)
Modified: 2017-04-03 07:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-03-31 10:59:22 UTC
1. Select a piece of text
2. Open Format-Character dialog
3. Go to "Link" tab

Expected: Visited links should have the "Visited internet link" style preselected, and "Unvisited links" should have the "Internet link" style preselected".

Note that once you apply the change, then reopen the dialog, those styles are set (and selected).
Comment 1 Jacques Guilleron 2017-04-01 10:56:08 UTC
Hi Samuel,

This has worked until 
LO 4.1.0.1 Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155
where the link were becoming red
but has disppeared in 
LO 4.1.5.1 Build ID: e0a1805d063a472a7b281ae3977a26d42a48b20
under Windows 7 Home.
Comment 2 Commit Notification 2017-04-03 07:37:14 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8533e21ecf8d94caebfdb3df088e462bb790f986

tdf#106897: preset visited/unvisited character style in ListBox

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.